package main

import "net/http"
import "hnakra/service"

func main () {
	http.HandleFunc("/fractal.png", func (res http.ResponseWriter, req *http.Request) {
		// An interesting quirk relating to http.ServeFile: there needs
		// to be a one-to-one correspondance between pattern path and
		// file. This means you can't serve an image on a rooted
		// subtree. Otherwise it will randomly fail. I think this has to
		// do with how *something* is caching the file.
		http.ServeFile(res, req, "fractal.png")
	})
	service.NewService (
		"Image", "Displays an image of a fractal.",
		service.NewHTTP("@", "/fractal.png", nil)).Run()
}
